Package org.mariadb.jdbc.export

## Class ExceptionFactory.SqlExceptionFactory

- java.lang.Object
- - org.mariadb.jdbc.export.ExceptionFactory
  - - org.mariadb.jdbc.export.ExceptionFactory.SqlExceptionFactory

Enclosing class:
  ExceptionFactory

    public class ExceptionFactory.SqlExceptionFactory
    extends ExceptionFactory

### Nested Class Summary

### Nested classes/interfaces inherited from class org.mariadb.jdbc.export.ExceptionFactory

`ExceptionFactory.SqlExceptionFactory`

### Constructor Summary

Constructors
`SqlExceptionFactory​(Connection connection, MariaDbPoolConnection poolConnection, Configuration conf, HostAddress hostAddress, long threadId, Statement statement, String sql)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSql()`

### Methods inherited from class org.mariadb.jdbc.export.ExceptionFactory

`create, create, create, create, createBatchUpdate, createBatchUpdate, notSupported, of, setConnection, setConnection, setPoolConnection, setThreadId, withSql`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlExceptionFactory

    public SqlExceptionFactory​(Connection connection,
                               MariaDbPoolConnection poolConnection,
                               Configuration conf,
                               HostAddress hostAddress,
                               long threadId,
                               Statement statement,
                               String sql)

### Method Detail

#### getSql

    public String getSql()

Overrides:
  `getSql` in class `ExceptionFactory`